Skip to main content
GET
/
v1
/
vaults
/
transfers
Get a list of vault token transfers
curl --request GET \
  --url https://api.paxoslabs.com/v1/vaults/transfers
import requests

url = "https://api.paxoslabs.com/v1/vaults/transfers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.paxoslabs.com/v1/vaults/transfers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "chain_id": 1,
    "vault": "0x19e099b7aed41fa52718d780dda74678113c0b32",
    "time": 1733053355,
    "tx_hash": "0x5e1c28334e39c5273966b0986e9c00bc88f8e1e4f4372aea78b48cab4abc2509",
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0xfbe0c54d696fa6c93f35d4ca7d656561816c15f6",
    "amount": 32764931240122292
  }
]

Query Parameters

vault_address
string
required

The address of the vault. Optional.

Example:

"0x9Ed15383940CC380fAEF0a75edacE507cC775f22"

Response

Successful response with transfers.

chain_id
integer

ID of the blockchain.

Example:

1

vault
string

The address of the vault.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x19e099b7aed41fa52718d780dda74678113c0b32"

time
integer

Unix timestamp when the transaction occurred.

Example:

1733053355

tx_hash
string

Transaction hash.

Example:

"0x5e1c28334e39c5273966b0986e9c00bc88f8e1e4f4372aea78b48cab4abc2509"

from
string

The address of the sender.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x0000000000000000000000000000000000000000"

to
string

The address of the receiver.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xfbe0c54d696fa6c93f35d4ca7d656561816c15f6"

amount
integer

Amount transferred in the transaction.

Example:

32764931240122292